local gr, pi = love.graphics, math.pi
function love.load()
	gr.setFont( gr.newFont( 30 ) )
	love.window.setMode(800,600,{borderless=true})
	gr.setBackgroundColor( 55, 0, 255 )
	cl = gr.newImage( 'base.jpg' )
	hr = gr.newImage( 'hour.png' )
	mn = gr.newImage( 'min.png' )
	se = gr.newImage( 'sec.png' )
	cw, ch	= cl:getWidth(), cl:getHeight()
	cx, cy	= 400, 300
	sz		= 1
	end

function love.draw()
	local m = os.date('%M')
	local h = os.date('%H')
	local s = os.date('%S')
	local M = os.date('%m')
	local D = os.date('%d')
	local Y = os.date('%Y')
	--gr.print(h..":"..m..":"..s,650,550)
	h = tonumber( h ) + m / 60
	if h > 11 then h = h - 12 end
	m	= tonumber( m ) + s / 60
	ha	= 2 * h * pi / 12 + 0.55 * pi	-- second # compensates for image angle
	ma	= 2 * m * pi / 60 + 0.48 * pi
	ms	= 2 * s * pi / 60 + 0.89 * pi
	gr.draw( cl, cx, cy,  0, sz, sz, cw/2, ch/2 )
	gr.draw( hr, cx, cy, ha, sz, sz, 106, 10 )
	gr.draw( mn, cx, cy, ma, sz, sz, 114, 29 )
	gr.draw( se, cx, cy, ms, sz, sz,  52, 46 )
	end

function love.update(dt)
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end

